---
updatedAt: 2025-09-18T22:38:11.000Z
agentTools:
  projectIndex: https://docs.nodereal.io/llms.txt
---

# klay_getBlockTransactionCountByNumber

Returns the number of transactions in a block matching the given block number.

> 📘 Supported on Klaytn (mainnet) only.

## Parameters

**Request**

| Type            | Description                                                                                |
| --------------- | ------------------------------------------------------------------------------------------ |
| QUANTITY \| TAG | Integer or hexadecimal block number, or the string `"earliest"`, `"latest"` or `"pending"` |

NOTE: In versions earlier than Klaytn v1.7.0, only integer block number, the string `"earliest"` and `"latest"` are available.

**Result**

| Type     | Description                                          |
| -------- | ---------------------------------------------------- |
| QUANTITY | Integer of the number of transactions in this block. |

## API Endpoint

The format of a Klaytn API endpoint is\
`https://open-platform.nodereal.io/{{apiKey}}/klaytn/`

Here is an example:\
`https://open-platform.nodereal.io/4c0a1c23661a4e26bcbcwed461e34ea9/klaytn/`

## Example

```shell
// Request
curl https://open-platform.nodereal.io/{{apiKey}}/klaytn/ \
  -X POST \
  -H "Content-Type: application/json" \
  --data '{"jsonrpc":"2.0","method":"klay_getBlockTransactionCountByNumber","params":["0xe8"],"id":1}' 

// Result
{
  "jsonrpc": "2.0",
  "id":1,
  "result": "0xa" // 10
}
```